public class HelloRunnable implements Runnable {
    public void run() {
        System.out.println("Hello from a thread!");
    }

    public static void main(String args[]) {
        // Skapa nytt Thread-objekt.
        // Som argument till konstruerare i Thread anges en Runnable.
        Thread t1 = new Thread(new HelloRunnable());
        //Runnable är ett funktions-interface dvs. bara metoden run() är abstrakt.
        //Vi kan alltså på ett snyggt sätt skapa en enkel Runnable m.h.a.
        //ett lambda-uttryck som specificerar vad run() ska göra.
        Thread t2 = new Thread(() -> System.out.println("Hello from another thread!"));

        t1.start();
        t2.start();


    }
}
