import java.util.*;

public class PipelineDemo{

  public static boolean isPrime(long number){
    for (long i = 2; i < number; i++) {
        if (number % i == 0) return false;
    }
    return true;
  }

  public static void main(String[] args) {
    List<Long> list = new LinkedList<Long>();
    list.add(42L);list.add(7L); list.add(982451653L);
    list.add(13L); list.add(23L); list.add(100L);

    // Notera: med en parallel ström är det inga garantier
    // att elementen skrivs ut i samma ordning som de låg
    // i orginallistan.
    list
      .parallelStream()
      .filter(e -> isPrime(e))
      .forEach(e -> System.out.println(e));
  }

}
