import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

// Testa ifall 982451653 är ett primtal.
public class SwingHelloWorld implements Runnable {

  public static class MyWorker extends SwingWorker<Boolean, Object> {
      final long number;
      final JLabel resultLabel;

      public MyWorker(JLabel resultLabel, long number) {
          this.number = number;
          this.resultLabel = resultLabel;
      }

    @Override
      protected Boolean doInBackground() throws Exception {
          for (long i = 2; i < number; i++) {
              if (number % i == 0) return false;
          }
          return true;
}
      @Override
      protected void done() {
          Boolean isPrime = false;
          try {
              isPrime = get();
          } catch (Exception e) {}
          resultLabel.setText(isPrime ? "is prime" : "is not prime");
      }
  }

  public static void main(String[] args) {
      SwingUtilities.invokeLater(new SwingHelloWorld());
  }

    public void run() {
        JFrame frame = new JFrame("Hello World!");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        JButton button = new JButton("Say 'Hello World'");
        button.addActionListener(e -> System.out.println("Hello World!"));

        frame.setPreferredSize(new Dimension(300, 250));
        frame.add(button, BorderLayout.SOUTH);

        JTextField tf = new JTextField(10);
        frame.add(tf, BorderLayout.NORTH);
        JLabel lb = new JLabel();
        frame.add(lb, BorderLayout.CENTER);

        tf.addActionListener(e -> {
            MyWorker worker = new MyWorker(lb, Long.parseLong(tf.getText()));
            worker.execute();
            lb.setText("wait...");
        });

        frame.pack();
        frame.setVisible(true);
    }


  }
